picard.metrics

## Class SAMRecordAndReference

- java.lang.Object
- - picard.metrics.SAMRecordAndReference

-     public class SAMRecordAndReference
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAMRecordAndReference(htsjdk.samtools.SAMRecord samRec, htsjdk.samtools.reference.ReferenceSequence refSeq)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `htsjdk.samtools.reference.ReferenceSequence` | `getReferenceSequence()`
    `htsjdk.samtools.SAMRecord` | `getSamRecord()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAMRecordAndReference

          public SAMRecordAndReference(htsjdk.samtools.SAMRecord samRec,
                                       htsjdk.samtools.reference.ReferenceSequence refSeq)

  - ### Method Detail

    - #### getSamRecord

          public htsjdk.samtools.SAMRecord getSamRecord()

    - #### getReferenceSequence

          public htsjdk.samtools.reference.ReferenceSequence getReferenceSequence()